Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.shared
Class SharedObjects

    java.lang.Object
      org.pentaho.di.shared.SharedObjects

    public class SharedObjects

extends Object

Based on a piece of XML, this factory will give back a list of objects. In other words, it does XML de-serialisation

Author:
  Matt

Constructor Summary
`SharedObjects()`
`SharedObjects(String sharedObjectsFile)`

Method Summary
`static String` | `createFilename(String sharedObjectsFile)`
`String` | `getFilename()`
`Map<org.pentaho.di.shared.SharedObjects.SharedEntry,org.pentaho.di.shared.SharedObjectInterface>` | `getObjectsMap()`
`void` | `saveToFile()`
`void` | `setFilename(String filename)`
`void` | `setObjectsMap(Map<org.pentaho.di.shared.SharedObjects.SharedEntry,org.pentaho.di.shared.SharedObjectInterface> objects)`
`void` | `storeObject(org.pentaho.di.shared.SharedObjectInterface sharedObject)` Store the sharedObject in the object map.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SharedObjects

    public SharedObjects(String sharedObjectsFile)
                  throws org.pentaho.di.core.exception.KettleXMLException

Throws:
  `org.pentaho.di.core.exception.KettleXMLException`

### SharedObjects

    public SharedObjects()
                  throws org.pentaho.di.core.exception.KettleXMLException

Throws:
  `org.pentaho.di.core.exception.KettleXMLException`

Method Detail

### createFilename

    public static final String createFilename(String sharedObjectsFile)

### getObjectsMap

    public Map<org.pentaho.di.shared.SharedObjects.SharedEntry,org.pentaho.di.shared.SharedObjectInterface> getObjectsMap()

### setObjectsMap

    public void setObjectsMap(Map<org.pentaho.di.shared.SharedObjects.SharedEntry,org.pentaho.di.shared.SharedObjectInterface> objects)

### storeObject

    public void storeObject(org.pentaho.di.shared.SharedObjectInterface sharedObject)

  Store the sharedObject in the object map. It is possible to have 2 different types of shared object with the same name. They will be stored separately.

  Parameters:
    `sharedObject` -

### saveToFile

    public void saveToFile()
                    throws IOException,
                           org.pentaho.di.core.exception.KettleException

  Throws:
    `IOException`
    `org.pentaho.di.core.exception.KettleException`

### getFilename

    public String getFilename()

  Returns:
    the filename

### setFilename

    public void setFilename(String filename)

  Parameters:
    `filename` - the filename to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD